%global npmname block-stream
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist inherits

Summary: a stream of blocks 
Name: nodejs-%{npmname}
Version: 0.0.6
Release: 1%{?dist}
Group: Development/Languages
License: BSD
URL: http://github.com/isaacs/block-stream
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-inherits >= 1.0.0
Provides: nodejs-%{npmname} = %{version}

%description
A stream of blocks.

Write data into it, and it'll output data in buffer blocks the size you
specify, padding with zeroes if necessary.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr block-stream.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Setup Binaries

%files
%doc LICENCE README.md bench
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.0.6-1
- Initial build using nodejs spec template

